Subject: Re: [PATCH] log --oneline: put decoration at the end of the line

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Sep 2012 17:18:14 -0700

Jeff King <[email-masked]> writes:

> On Wed, Sep 19, 2012 at 04:34:19PM -0700, Junio C Hamano wrote:
>
>> > Yeah, I do not think it is likely.  Among the in-tree scripts,
>> > git-stash does use rev-list --oneline but the purpose of the call
>> > exactly is to grab a human readable one line summary, and it will be
>> > happy with any change to make --oneline more human readble.
>> 
>> Having said that, one of my often used alias is
>> 
>>     [alias] recent = log --branches --oneline --no-merges --decorate --since=3.weeks
>> 
>> to help me see what topics in flight may potentially interact with
>> an incoming patch, when deciding on which commit to base the patch
>> on.  Pushing the decoration at the end to let it fall off the right
>> edge of the screen severely reduces the usefulness of it and defeats
>> the point of using --decorate, at least for this use.
>> 
>> I could use --source instead, though, if it is not moved by the
>> patch.
>
> If you are particular about the exact format, how about using
> --format="%h%d %s" instead?
>
> Obviously Duy could do the same to achieve his format,...

It indeed was the first reaction when I saw the patch under
discussion that came without RFC/ in the subject.

> but I think there
> is still value in considering what the default for --oneline should be.

Yes.  And I was reasonably sure that having the decoration at the
tail is a better default, but no longer.